
***** file: date.g          <> $Revision: 1.1 $

*+**********************************************************************
      SUBROUTINE saodate ( chdate )
************************************************************************
*
*kwic date       --- date in nice format
*
*  arguments:
*     chdate -- ca, o  -- date in nice format
*
*  history:
*     93-Dec-03[tjg]: extracted from tglib; slight revisions
*     92-Sep-21[tjg]: original
*-
      implicit none

*---  passed variables...
      CHARACTER*(*) chdate

*USES fdate                       ! os routine fdate(3F)

*---  local variables...
      CHARACTER*24 time_date

*CODE date -------------------------------------------------------------

      call fdate( time_date )

*---  returns time, date info in format as described under ctime(3):
*
*     Sun Sep 16 01:03:52 1973
*     123456789^123456789^1234

      chdate = time_date(21:24) // '-' //
     &         time_date(5:7)   // '-' //
     &         time_date(9:10)

      END ! date -------------------------------------------------------
